/*----------------------------------------------------------------------------
 MINIGUI - Harbour Win32 GUI library source code

 Copyright 2002-2010 Roberto Lopez <harbourminigui@gmail.com>
 http://harbourminigui.googlepages.com/

 This program is free software; you can redistribute it and/or modify it under 
 the terms of the GNU General Public License as published by the Free Software 
 Foundation; either version 2 of the License, or (at your option) any later 
 version. 

 This program is distributed in the hope that it will be useful, but WITHOUT 
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS 
 FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

 You should have received a copy of the GNU General Public License along with 
 this software; see the file COPYING. If not, write to the Free Software 
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA (or 
 visit the web site http://www.gnu.org/).

 As a special exception, you have permission for additional uses of the text 
 contained in this release of Harbour Minigui.

 The exception is that, if you link the Harbour Minigui library with other 
 files to produce an executable, this does not by itself cause the resulting 
 executable to be covered by the GNU General Public License.
 Your use of that executable is in no way restricted on account of linking the 
 Harbour-Minigui library code into it.

 Parts of this project are based upon:

	"Harbour GUI framework for Win32"
 	Copyright 2001 Alexander S.Kresin <alex@kresin.ru>
 	Copyright 2001 Antonio Linares <alinares@fivetech.com>
	www - https://harbour.github.io/

	"Harbour Project"
	Copyright 1999-2023, https://harbour.github.io/

	"WHAT32"
	Copyright 2002 AJ Wos <andrwos@aust1.net> 

	"HWGUI"
  	Copyright 2001-2021 Alexander S.Kresin <alex@kresin.ru>

---------------------------------------------------------------------------*/

#define AQUA      {   0 , 255 , 255 }
#define BLACK     {   0 ,   0 ,   0 }
#define BLUE      {   0 ,   0 , 255 }
#define BROWN     { 128 ,  64 ,  64 }
#define CYAN      { 153 , 217 , 234 }
#define FUCHSIA   { 255 ,   0 , 255 }
#define GRAY      { 128 , 128 , 128 }
#define GREY      { 128 , 128 , 128 }
#define GREEN     {   0 , 255 ,   0 }
#define LGREEN    {   0 , 128 ,   0 }
#define LIME      { 191,  255 ,   0 }
#define MAROON    { 128 ,   0 ,   0 }
#define NAVY      {   0 ,   0 , 128 }
#define OLIVE     { 128 , 128 ,   0 }
#define ORANGE    { 255 , 128 ,  64 }
#define PINK      { 255 , 128 , 192 }
#define PURPLE    { 128 ,   0 , 128 }
#define RED       { 255 ,   0 ,   0 }
#define SILVER    { 192 , 192 , 192 }
#define TEAL      {   0 , 128 , 128 }
#define WHITE     { 255 , 255 , 255 }
#define YELLOW    { 255 , 255 ,   0 }

/*
 Basic Numerical
*/
#define CLR_YELLOW	RGB( 255 , 255 ,   0 )
#define CLR_PINK	RGB( 255 , 128 , 192 )
#define CLR_HRED	RGB( 255 ,   0 ,   0 )
#define CLR_HMAGENTA	RGB( 255 ,   0 , 255 )
#define CLR_BROWN	RGB( 128 ,  64 ,  64 )
#define CLR_ORANGE	RGB( 255 , 128 ,  64 )
#define CLR_HGREEN	RGB(   0 , 255 ,   0 )
#define CLR_MAGENTA	RGB( 128 ,   0 , 128 )
#define CLR_BLACK	RGB(   0 ,   0 ,   0 )
#define CLR_WHITE	RGB( 255 , 255 , 255 )
#define CLR_GRAY	RGB( 128 , 128 , 128 )
#define CLR_HBLUE	RGB(   0 ,   0 , 255 )

#define CLR_HGRAY	RGB( 192 , 192 , 192 )
#define CLR_RED		RGB( 128 ,   0 ,   0 )
#define CLR_OLIVE	RGB( 128 , 128 ,   0 )
#define CLR_GREEN	RGB(   0 , 128 ,   0 )
#define CLR_HCYAN	RGB(   0 , 255 , 255 )
#define CLR_BLUE	RGB(   0 ,   0 , 128 )
#define CLR_CYAN	RGB(   0 , 128 , 128 )

/*
 Additional Numerical
*/
#define CLR_SKYPE	RGB(   0, 176, 240 )
#define CLR_VIBER	RGB( 125,  82, 158 )
#define CLR_VK		RGB(  93, 114, 148 )
#define CLR_TWIT	RGB( 118, 170, 235 )
#define CLR_FB		RGB(  71,  89, 149 )
#define CLR_OK		RGB( 238, 130,   8 )

/*
 Metro Colors
*/
#define METRO_LIME	RGB( 164, 196,   0 )
#define METRO_GREEN	RGB(  96, 169,  23 )
#define METRO_EMERALD	RGB(   0, 138,   0 )
#define METRO_TEAL	RGB(   0, 171, 169 )
#define METRO_CYAN	RGB(  27, 161, 226 )
#define METRO_COBALT	RGB(   0,  80, 239 )
#define METRO_INDIGO	RGB( 106,   0, 255 )
#define METRO_VIOLET	RGB( 170,   0, 255 )
#define METRO_PINK	RGB( 244, 114, 208 )
#define METRO_MAGENTA	RGB( 216,   0, 115 )
#define METRO_CRIMSON	RGB( 162,   0,  37 )
#define METRO_RED	RGB( 229,  20,   0 )
#define METRO_ORANGE	RGB( 250, 104,   0 )
#define METRO_AMBER	RGB( 240, 163,  10 )
#define METRO_YELLOW	RGB( 227, 200,   0 )
#define METRO_BROWN	RGB( 130,  90,  44 )
#define METRO_OLIVE	RGB( 109, 135, 100 )
#define METRO_STEEL	RGB( 100, 118, 135 )
#define METRO_MAUVE	RGB( 118,  96, 138 )
#define METRO_TAUPE	RGB( 135, 121,  78 )
